package effect

import (
	"blazing/logic/service/fight/info"
	"blazing/logic/service/fight/input"
	"blazing/logic/service/fight/node"
)

// 施加一个基类effect
type EffectStatus struct {
	node.EffectNode
	status info.EnumBattleStatus
}

func (e *EffectStatus) UseSkill(opp *input.Input) bool {
	return false

}
func init() {
	//麻痹，疲惫，害怕，石化，都是无法行动

	tt := func(t info.EnumBattleStatus, f *EffectStatus) {

		f.status = t
		input.InitStatusEffect(int(t), f)
	}
	tt(info.BattleStatus.Paralysis, &EffectStatus{})
	tt(info.BattleStatus.Tired, &EffectStatus{})
	tt(info.BattleStatus.Sleep, &EffectStatus{})
	tt(info.BattleStatus.Petrified, &EffectStatus{})

}
